Bug 1567190 - [RFE] Support for retrieving template and environment files from swift
Summary: [RFE] Support for retrieving template and environment files from swift
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-heatclient
Version: 17.0 (Wallaby)
Hardware: All
OS: Linux
medium
medium
Target Milestone: Upstream M2
: ---
Assignee: Rabi Mishra
QA Contact: Ronnie Rasouli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:20 UTC by Thomas Hervé
Modified: 2020-09-10 13:14 UTC (History)
8 users (show)

Fixed In Version: python-heatclient-1.18.0-0.20200221161824.eca1637.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-10 13:14:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 551871 0 None MERGED Option for retrieving child templates and env files from swift 2020-09-07 13:16:46 UTC
OpenStack gerrit 551872 0 None MERGED Add files-container option for stack create and update 2020-09-07 13:16:46 UTC
Storyboard 1755453 0 None None None 2020-07-30 12:24:56 UTC

Description Thomas Hervé 2018-04-13 14:20:14 UTC
TripleO can not take advantage of server-side environment merging, because of the way they store their files in a plan which is a swift container. We could resolve this by allowing heat to retrieve the files from Swift instead of passing them inline in the files dict.

Proposed solution could be to allow the user to pass Swift container name in the request in place of (in addition to?) a files dict. Any relative URL paths encountered in the template/environments (e.g. get_file, resource type mappings) would then be treated as relative to the container.


Note You need to log in before you can comment on or make changes to this bug.